# class Devise::Encryptors::AuthlogicSha512

# AuthlogicSha512

Simulates Authlogic’s default encryption mechanism. Warning: it uses Devise’s stretches configuration to port Authlogic’s one. Should be set to 20 in the initializer to simulate

    the default behavior.

### Public Class Methods

digest(password, stretches, salt, pepper) click to toggle source

Generates a default password digest based on salt, pepper and the incoming password.

    # File lib/devise/encryptors/authlogic_sha512.rb, line 12
    def self.digest(password, stretches, salt, pepper)
      digest = [password, salt].flatten.join('')
      stretches.times { digest = Digest::SHA512.hexdigest(digest) }
      digest
    end